
Redmine - Patch #4736

deprecation warning in extra/svn/reposman.rb

2010-02-04 11:23 - digi byte

Status: Closed Start date: 2010-02-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.2   

Description

I get this message when running reposman.rb:

DEPRECATION WARNING: require "activeresource" is deprecated and will be removed in Rails 3. Use require "active_resource"

instead.. (called from /usr/lib/ruby/gems/1.8/gems/activeresource-2.3.5/lib/activeresource.rb:2)

Redmine version 0.9.1

Ruby 1.8.7

Rails 2.3.5

Rake 1.0.1

Database: MySQL 5.0

I could solve the problem by replacing line 178 in extra/svn/reposman.rb

require 'activeresource'

to

require 'active_resource'

Associated revisions

Revision 3378 - 2010-02-06 15:20 - Jean-Philippe Lang

Fixed: deprecation warning in reposman.rb (#4736).

History

#1 - 2010-02-06 15:12 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.2

Committed in r3378, thanks.

#2 - 2010-02-07 12:44 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r3384.

#3 - 2011-10-25 12:55 - Eugene Gooch
